---
updatedAt: 2026-04-08T10:21:30.000Z
agentTools:
  projectIndex: https://developer.goacoustic.com/acoustic-content/llms.txt
---

# Delete a page.

Deletes the page specified by `page-id` and all descendant pages in the site specified by `site-id`.
By default the page and descendant pages associated content is not deleted, set 'delete-content' query parameter to 'true' to delete the page and descendant pages associated content.
<br />User roles: admin, manager, editor

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.142",
    "x-ibm-name": "ibm-watson-content-hub-api",
    "title": "Acoustic Content API",
    "description": "Copyright © Acoustic, L.P. 2019"
  },
  "tags": [
    {
      "name": "Authoring sites",
      "description": "Use the Content authoring sites service Rest APIs to work with sites. Sites are comprised of a site metadata and a hierarchy of pages. You can retrieve or update site metadata and create, read, update, and delete site pages belonging to a site. The out-of-the-box site has an ID of 'default'.\n"
    }
  ],
  "paths": {
    "/authoring/v1/sites/{site-id}/pages/{page-id}": {
      "delete": {
        "x-ibm-dx-security-user-roles": [
          "admin",
          "manager",
          "editor"
        ],
        "summary": "Delete a page.",
        "description": "Deletes the page specified by `page-id` and all descendant pages in the site specified by `site-id`.\nBy default the page and descendant pages associated content is not deleted, set 'delete-content' query parameter to 'true' to delete the page and descendant pages associated content.\n<br />User roles: admin, manager, editor",
        "parameters": [
          {
            "name": "site-id",
            "in": "path",
            "description": "The ID of the site.",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "page-id",
            "in": "path",
            "description": "ID of page.",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "delete-content",
            "in": "query",
            "description": "Set to true to delete associated content. If delete-content is not specified the default is to not delete the associated content.",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "Page successfully deleted."
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 2011,
                          "message": "Invalid page ID parameter provided.",
                          "level": "ERROR",
                          "description": "The page ID provided is missing or invalid. The page ID cannot be empty or contain spaces. Provide a valid page ID and try again.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 1016,
                          "message": "Problem accessing database.",
                          "level": "ERROR",
                          "description": "Problem accessing database. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 1016,
                          "message": "Problem accessing database.",
                          "level": "ERROR",
                          "description": "Problem accessing database. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 2012,
                          "message": "Page not found for ID: dummyId",
                          "level": "ERROR",
                          "description": "A page with the specified ID was not found in the system. Provide a valid ID and try again.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 6001,
                          "message": "There was a conflict deleting page: dummyId and its child pages.",
                          "level": "ERROR",
                          "description": "Unable to delete the page: {pageId} and its child pages due to conflict. Resolve the conflict and try again.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 1018,
                          "message": "Temporarily unable to access the database.",
                          "level": "ERROR",
                          "description": "Temporarily unable to access the database. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "Unexpected error",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 5004,
                          "message": "Unexpected error occurred.",
                          "level": "ERROR",
                          "description": "Unable to complete the request due to an unexpected error. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Authoring sites"
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```